API Reference
POS Orders
Open, ring up, fire, pay and close POS orders.
8 endpoints· Auth: JWT or API Key
get
/api/v1/console/pos/orders JWT API KeyGet orders
Query parameters
| Status string | — |
| ChannelId string (uuid) | — |
| CashierId string (uuid) | — |
| DiningTableId string (uuid) | — |
| Date string (date) | — |
| From string (date) | — |
| To string (date) | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/pos/orders" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/orders JWT API KeyCreate orders
Request body
application/json
{
"idempotencyKey": "string",
"channelId": "00000000-0000-0000-0000-000000000000",
"shift": "string",
"brandId": "00000000-0000-0000-0000-000000000000",
"diningTableId": "00000000-0000-0000-0000-000000000000",
"waiterId": "00000000-0000-0000-0000-000000000000",
"lines": [
{
"productId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"taxCodeId": "00000000-0000-0000-0000-000000000000",
"manualDiscountIqd": 0,
"discountReason": "string",
"modifierOptionIds": [
"00000000-0000-0000-0000-000000000000"
],
"seatNumber": 0,
"courseNumber": 0,
"stationId": "00000000-0000-0000-0000-000000000000"
}
],
"tenders": [
{
"methodId": "00000000-0000-0000-0000-000000000000",
"amountIqd": 0,
"tenderedIqd": 0,
"seatNumber": 0
}
],
"checkDiscountIqd": 0,
"discountReason": "string",
"splitBySeat": false,
"externalOrderId": "string",
"currencyCode": "string",
"replayMode": false,
"capturedAt": "2026-09-30T18:07:54.577Z",
"clientSeq": 0,
"deviceId": "string",
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}| idempotencyKey string | — |
| channelId string (uuid) | — |
| shift string | — |
| brandId string (uuid) | — |
| diningTableId string (uuid) | — |
| waiterId string (uuid) | — |
| lines CreateSaleLineRequest[] | — |
| tenders SaleTenderRequest[] | — |
| checkDiscountIqd integer (int64) | — |
| discountReason string | — |
| splitBySeat boolean | — |
| externalOrderId string | — |
| currencyCode string | — |
| replayMode boolean | — |
| capturedAt string (date-time) | — |
| clientSeq integer (int64) | — |
| deviceId string | — |
| approverUserId string (uuid) | — |
| approverPasscode string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/orders" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"idempotencyKey": "string",
"channelId": "00000000-0000-0000-0000-000000000000",
"shift": "string",
"brandId": "00000000-0000-0000-0000-000000000000",
"diningTableId": "00000000-0000-0000-0000-000000000000",
"waiterId": "00000000-0000-0000-0000-000000000000",
"lines": [
{
"productId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"taxCodeId": "00000000-0000-0000-0000-000000000000",
"manualDiscountIqd": 0,
"discountReason": "string",
"modifierOptionIds": [
"00000000-0000-0000-0000-000000000000"
],
"seatNumber": 0,
"courseNumber": 0,
"stationId": "00000000-0000-0000-0000-000000000000"
}
],
"tenders": [
{
"methodId": "00000000-0000-0000-0000-000000000000",
"amountIqd": 0,
"tenderedIqd": 0,
"seatNumber": 0
}
],
"checkDiscountIqd": 0,
"discountReason": "string",
"splitBySeat": false,
"externalOrderId": "string",
"currencyCode": "string",
"replayMode": false,
"capturedAt": "2026-09-30T18:07:54.577Z",
"clientSeq": 0,
"deviceId": "string",
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/pos/orders/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/pos/orders/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/orders/{id}/cancel JWT API KeyCreate cancel
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string",
"disposition": "string",
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}| reason string | — |
| disposition string | — |
| approverUserId string (uuid) | — |
| approverPasscode string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/orders/{id}/cancel" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string",
"disposition": "string",
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/orders/{id}/refund JWT API KeyCreate refund
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string",
"lines": [
{
"orderItemId": "00000000-0000-0000-0000-000000000000",
"disposition": "string"
}
],
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}| reason string | — |
| lines RefundLineRequest[] | — |
| approverUserId string (uuid) | — |
| approverPasscode string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/orders/{id}/refund" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string",
"lines": [
{
"orderItemId": "00000000-0000-0000-0000-000000000000",
"disposition": "string"
}
],
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
patch
/api/v1/console/pos/orders/{id}/status JWT API KeyUpdate status
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"status": "string"
}| status string | — |
Responses
200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/pos/orders/{id}/status" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"status": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/orders/{orderId}/lines/{lineId}/comp JWT API KeyCreate comp
Path parameters
| orderIdrequired string (uuid) | — |
| lineIdrequired string (uuid) | — |
Request body
application/json
{
"reason": "string",
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}| reason string | — |
| approverUserId string (uuid) | — |
| approverPasscode string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/orders/{orderId}/lines/{lineId}/comp" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string",
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/orders/{orderId}/lines/{lineId}/void JWT API KeyCreate void
Path parameters
| orderIdrequired string (uuid) | — |
| lineIdrequired string (uuid) | — |
Request body
application/json
{
"reason": "string",
"fired": false,
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}| reason string | — |
| fired boolean | — |
| approverUserId string (uuid) | — |
| approverPasscode string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/orders/{orderId}/lines/{lineId}/void" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string",
"fired": false,
"approverUserId": "00000000-0000-0000-0000-000000000000",
"approverPasscode": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu